org.richfaces.component

## Enum UIRichMessage.Properties

- java.lang.Object
- - java.lang.Enum<UIRichMessage.Properties>
  - - org.richfaces.component.UIRichMessage.Properties

- All Implemented Interfaces:
    Serializable, Comparable<UIRichMessage.Properties>
  Enclosing class:
    UIRichMessage

      protected static enum UIRichMessage.Properties
      extends Enum<UIRichMessage.Properties>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ajaxRendered`
    `escape`
    `keepTransient`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static UIRichMessage.Properties` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static UIRichMessage.Properties[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ajaxRendered

          public static final UIRichMessage.Properties ajaxRendered

    - #### escape

          public static final UIRichMessage.Properties escape

    - #### keepTransient

          public static final UIRichMessage.Properties keepTransient

  - ### Method Detail

    - #### values

          public static UIRichMessage.Properties[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UIRichMessage.Properties c : UIRichMessage.Properties.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UIRichMessage.Properties valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014 JBoss by Red Hat. All Rights Reserved.